#pragma once

#include "interfaces/IRenderTexture.hpp"
#include "RenderTexture.hpp"

namespace TSE::GLFW
{
    class RenderTextureCreatorOpenGL : public IRenderTextureCreator
    {
    public:
        inline IRenderTexture* CreateTextureHeap(Vector2 v) override
        {
            return new RenderTexture(v);
        };
    };
} // namespace name
